summaryrefslogtreecommitdiffstats
path: root/ci/sdc_setup.sh
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2018-10-09 14:34:45 +0800
committerJingLu5 <lvjing5@huawei.com>2018-10-19 08:34:49 +0800
commit9845df11434dcc268049509c83457fb7debd035c (patch)
tree3da92b60804c8d012109cdb8939d0b0e2d2f3ad1 /ci/sdc_setup.sh
parente716285dfe01e2373984550495fd2cf02dbf959d (diff)
Add initial Istio validation testcase for CI
This work adds testcase for validating Istio installation Change-Id: Ie895b27eb4b3fbec23cf9519699f5fe37236153c Signed-off-by: JingLu5 <lvjing5@huawei.com>
Diffstat (limited to 'ci/sdc_setup.sh')
-rwxr-xr-xci/sdc_setup.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/sdc_setup.sh b/ci/sdc_setup.sh
new file mode 100755
index 0000000..f4d82f5
--- /dev/null
+++ b/ci/sdc_setup.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Copyright (c) Authors of Clover
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+set -ex
+
+# Deploy Clover SDC sample
+kubectl apply -f <(istioctl kube-inject -f ~/clover/samples/scenarios/service_delivery_controller_opnfv.yaml)
+
+# Wait for SDC sample deployed
+kubectl get services
+kubectl get pods
+
+r="0"
+while [ $r -ne "10" ]
+do
+ sleep 30
+ kubectl get pods
+ r=$(kubectl get pods | grep Running | wc -l)
+done
+
+echo "Set up Clover SDC sample complete!"